local gameWidth = 160
local gameHeight = 90

local windowWidth = 960
local windowHeight = 540

local windowScaleX = windowWidth / gameWidth
local windowScaleY = windowHeight / gameHeight

function love.load()
	love.graphics.setDefaultFilter("nearest", "nearest")
	
	player = {}
	player.x = 0
	player.y = 0
	player.speed = 20
	player.image = love.graphics.newImage("blackX.png")
end

function love.update(dt)
	if love.keyboard.isDown("left") then
		player.x = player.x - player.speed * dt
	end
	if love.keyboard.isDown("right") then
		player.x = player.x + player.speed * dt
	end
	if love.keyboard.isDown("up") then
		player.y = player.y - player.speed * dt
	end
	if love.keyboard.isDown("down") then
		player.y = player.y + player.speed * dt
	end
end

function love.draw()
	love.graphics.scale(windowScaleX, windowScaleY)

	love.graphics.setColor(255, 255, 255)
	love.graphics.rectangle("fill", 0, 0, 320, 180)
	
	love.graphics.draw(player.image, player.x, player.y)
end

function love.keypressed(key)
	if key == "escape" then
		love.event.quit()
	end
end
